Update a custom role
curl --request PATCH \
--url https://api.coderabbit.ai/v1/roles/{roleId} \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_default": true,
"permissions": [
{
"resource_id": "<string>"
}
]
}
'Update Role
Updates custom role metadata, permissions, or default status. System roles are immutable. Omitting is_default preserves the current default status; true clears any previous default; false unsets this role as default.
PATCH
/
v1
/
roles
/
{roleId}
Update a custom role
curl --request PATCH \
--url https://api.coderabbit.ai/v1/roles/{roleId} \
--header 'Content-Type: application/json' \
--header 'x-coderabbitai-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_default": true,
"permissions": [
{
"resource_id": "<string>"
}
]
}
'Documentation Index
Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
Use this file to discover all available pages before exploring further.
Update Custom Role
Updates custom role metadata, permissions, or default status. System roles are immutable. When updatingis_default: omitting it preserves the current default status, true sets this role as default (clearing any previous default), and false unsets this role as default.
Requires Admin role. See Role-based access for details.
Authorizations
API key for authentication. You can create an API key from the CodeRabbit dashboard.
Path Parameters
Body
application/json
Response
200
Custom role updated
Was this page helpful?
⌘I